[arch-commits] Commit in tar/repos (testing-x86_64 testing-x86_64/PKGBUILD)

Sébastien Luttringer seblu at archlinux.org
Mon Jan 14 14:08:37 UTC 2019


    Date: Monday, January 14, 2019 @ 14:08:37
  Author: seblu
Revision: 344071

archrelease: copy trunk to testing-x86_64

Added:
  tar/repos/testing-x86_64/
  tar/repos/testing-x86_64/PKGBUILD
    (from rev 344070, tar/trunk/PKGBUILD)

----------+
 PKGBUILD |   52 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 52 insertions(+)

Copied: tar/repos/testing-x86_64/PKGBUILD (from rev 344070, tar/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2019-01-14 14:08:37 UTC (rev 344071)
@@ -0,0 +1,52 @@
+# Mainainer: Sébastien "Seblu" Luttringer <seblu at archlinux.org>
+# Contributor: Allan McRae <allan at archlinux.org>
+# Contributor: Andreas Radke <andyrtr at archlinux.org>
+
+pkgname=tar
+pkgver=1.31
+pkgrel=2
+pkgdesc='Utility used to store, backup, and transport files'
+arch=('x86_64')
+url='https://www.gnu.org/software/tar/'
+license=('GPL3')
+groups=('base')
+depends=('glibc' 'acl' 'attr')
+options=('!emptydirs')
+validpgpkeys=('325F650C4C2B6AD58807327A3602B07F55D0C732') # Sergey Poznyakoff
+source=("https://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz"{,.sig}
+       '01.patch::http://git.savannah.gnu.org/cgit/tar.git/patch/?id=85c005ee1345c342f707f3c55317daf6cb050603')
+md5sums=('bc9a89da1185ceb2210de12552c43ce2'
+         'SKIP'
+         'c59638fdf88b94c46561fb68d869c5ff')
+
+prepare() {
+  cd $pkgname-$pkgver
+  # apply patch from the source array (should be a pacman feature)
+  local src
+  for src in "${source[@]}"; do
+    src="${src%%::*}"
+    src="${src##*/}"
+    [[ $src = *.patch ]] || continue
+    msg2 "Applying patch $src..."
+    patch -Np1 < "../$src"
+  done
+  :
+}
+
+build() {
+  cd $pkgname-$pkgver
+  ./configure --prefix=/usr --libexecdir=/usr/lib/tar
+  make
+}
+
+check() {
+  cd $pkgname-$pkgver
+  make check
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="$pkgdir" install
+}
+
+# vim:set ts=2 sw=2 et:



More information about the arch-commits mailing list